/* Houd grid layout aan */
.contactformulier-layout > .pk-row > .pk-grid-container {
    gap: calc(5 * var(--su));
}

/* Reversed optie: draai volgorde van kolommen om met order */
.contactformulier-layout
    > .pk-row
    > .pk-grid-container.reversed
    > .pk-col-left {
    order: 1;
}
.contactformulier-layout
    > .pk-row
    > .pk-grid-container.reversed
    > .pk-form-wrap {
    order: 0;
}

.gform-theme--foundation .gform_fields {
    row-gap: calc(1.5 * var(--su)) !important;
}

@media screen and (max-width: 992px) {
    .contactformulier-layout > .pk-row {
        padding-bottom: max(4rem, calc(4 * var(--su)));
    }
    .gform-theme--foundation .gform_fields {
        row-gap: max(2rem, calc(2 * var(--su))) !important;
    }
}

.contactformulier-layout .pk-col-left {
    display: flex;
    flex-wrap: wrap;
    height: fit-content;
    padding: calc(2.875 * var(--su));
    padding-inline: calc(3.438 * var(--su));
    border-radius: calc(3.125 * var(--su));
    background: var(--pk-beige);
}

.contactformulier-layout .pk-images {
    display: flex;
    margin-bottom: calc(1.75 * var(--su));
}

.contactformulier-layout .pk-images img {
    width: calc(4.5 * var(--su));
    height: calc(4.5 * var(--su));
    object-fit: cover;
    border-radius: 999px;
}

.contactformulier-layout .pk-images img:not(:first-child) {
    margin-left: calc(-1.875 * var(--su));
}

.contactformulier-layout .pk-col-left .pk-heading {
    font-size: max(2rem, calc(2 * var(--su)));
    font-weight: 400;
    color: var(--pk-purple);
    letter-spacing: -2%;
    line-height: max(2rem, calc(2.375 * var(--su)));
    line-height: 1.1;
}

.gform-theme--framework
    .field_description_below
    .gfield_description:where(
        :not(.gfield_creditcard_warning_message):not(
                .field_validation_above .gfield_validation_message
            ):not(.ginput_counter_tinymce):not(.gfield_choice_limit_message)
    ) {
    color: var(--pk-beige);
}

.contactformulier-layout .pk-col-left .pk-button-group {
    gap: 0rem 1rem;
    margin-top: 2.375rem;
}

.contactformulier-layout .pk-col-left .pk-button-group .pk-button {
    display: flex;
    align-items: center;
    color: var(--pk-purple);
    gap: 5px;
}

.contactformulier-layout .pk-col-left .pk-button-group .pk-button svg path {
    stroke: var(--pk-purple);
}

.contactformulier-layout .gfield_required {
    display: none;
}

.contactformulier-layout .pk-form-wrap .pk-heading {
    font-weight: var(--pk-heading-font);
    font-weight: 700;
    font-size: max(2.25rem, calc(2.25 * var(--su)));
    text-transform: uppercase;
    color: var(--pk-beige);
    margin-bottom: max(2rem, calc(2 * var(--su)));
}
.contactformulier-layout .pk-form-wrap form label.gfield_label,
.contactformulier-layout .pk-form-wrap form legend.gfield_label,
.contactformulier-layout .pk-form-wrap form .label_form {
    font-size: max(1.375rem, calc(1.375 * var(--su)));
    color: var(--pk-beige);
}

.contactformulier-layout .pk-form-wrap form .label_form {
    margin-bottom: calc(-1 * var(--su));
}

.contactformulier-layout .pk-form-wrap form .top_margin {
    margin-top: calc(-1 * var(--su));
}

.contactformulier-layout
    .pk-form-wrap
    form
    .ginput_container_consent
    input[type="checkbox"] {
    width: 25px;
    height: 25px;
}

@media screen and (max-width: 767px) {
    .contactformulier-layout
        > .pk-row
        > .pk-grid-container.reversed
        > .pk-col-left,
    .contactformulier-layout
        > .pk-row
        > .pk-grid-container.reversed
        > .pk-form-wrap {
        order: unset;
    }
    .contactformulier-layout .pk-form-wrap form .label_form {
        margin-bottom: -10px;
    }
}

.contactformulier-layout .pk-form-wrap form input {
    height: auto;
}

.contactformulier-layout .pk-form-wrap form input,
.contactformulier-layout .pk-form-wrap form textarea {
    font-size: max(1rem, calc(1 * var(--su)));
    padding-block: max(0.8rem, calc(0.8 * var(--su)))
        max(0.6rem, calc(0.6 * var(--su)));
    padding-inline: max(1rem, calc(1.5 * var(--su)));
    color: var(--pk-beige);
    border: 1px solid var(--pk-beige);
    border-radius: calc(0.188 * var(--su));
    background: transparent;
    line-height: 1.2;
}

.contactformulier-layout
    .pk-form-wrap
    form
    label.gfield_label
    .gfield_required {
    display: none;
}

.contactformulier-layout .pk-form-wrap form .ginput_container_consent label {
    color: var(--pk-beige);
}

.contactformulier-layout
    .pk-form-wrap
    form
    .ginput_container_consent
    label
    span.gfield_required_text {
    display: none;
}

.contactformulier-layout .pk-form-wrap form .ginput_container_consent input {
    padding: 0;
    height: fit-content;
}

.contactformulier-layout
    .pk-form-wrap
    form
    .ginput_container_consent
    input:checked {
    background: #f7f7f7;
}

.contactformulier-layout
    .pk-form-wrap
    form
    .ginput_container_consent
    input:checked::before {
    color: #000000;
}

/* CV upload veld */
.contactformulier-layout
    .pk-form-wrap
    .gform_wrapper
    .ginput_container_fileupload
    input {
    font-size: 0.813rem;
    border: 1px dashed var(--pk-beige);
}

.contactformulier-layout
    .pk-form-wrap
    .gform_wrapper
    .ginput_container_fileupload
    input::file-selector-button {
    color: var(--pk-beige);
    background: transparent;
}

.contactformulier-layout .pk-form-wrap form .gform-footer .gform_button {
    font-weight: 700 !important;
    color: var(--pk-purple) !important;
    background: var(--pk-beige) !important;
}

.gform-theme--framework .gform_validation_errors {
    background-color: white;
}

.contactformulier-layout .gform_footer input {
    padding-block: 1.05rem 1rem !important;
    font-size: max(1rem, calc(1 * var(--su))) !important;
    line-height: 1.3 !important;
    border-radius: 5px !important;
    display: flex;
    align-items: center;
    gap: 0.313rem;
}

@media screen and (max-width: 767px) {
    .contactformulier-layout > .pk-row > .pk-grid-container {
        gap: 3rem;
    }
    .contactformulier-layout > .pk-row > .pk-grid-container.reversed {
        flex-direction: column-reverse;
        display: flex;
    }
    .contactformulier-layout .pk-col-left {
        padding: 2rem;
        padding-inline: 1.25rem;
    }

    .contactformulier-layout .pk-images {
        margin-bottom: calc(8 * var(--su));
    }
    .contactformulier-layout .pk-images img {
        width: max(4.5rem, calc(4.5 * var(--su)));
        height: max(4.5rem, calc(4.5 * var(--su)));
        border-radius: 999px;
    }

    .contactformulier-layout .pk-form-wrap .pk-heading {
        font-size: max(2rem, calc(2.25 * var(--su)));
        word-break: break-all;
    }
}

@media screen and (max-width: 1200px) {
    .contactformulier-layout > .pk-row > .pk-grid-container.reversed {
        padding-inline: calc((5.625) * var(--su));
    }
}

@media screen and (min-width: 1200px) {
    .contactformulier-layout
        .pk-form-wrap
        form
        .ginput_container_address
        .gform-grid-col {
        max-width: 50%;
    }
    .contactformulier-layout
        > .pk-row
        > .pk-grid-container.reversed
        > .pk-col-right {
        grid-column-start: 3;
    }
}
